# $SYSTree

The systree functionality is enabled by default and reports the broker metrics at a fixed interval defined in the `vernemq.conf`. The metrics defined [here](/1.10.3/monitoring/introduction.md) are transformed to MQTT topics e.g. `mqtt_publish_received` is transformed to `$SYS/<nodename>/mqtt/publish/received`. `<nodename>` is your node's name, as configured in the `vernemq.conf`. To find it, you can grep the file for it: `grep nodename vernemq.conf`

The complete list of metrics can be found [here.](/1.10.3/monitoring/introduction.md)

```
systree_interval = 20000
```

This option defaults to `20000` milliseconds.

If the systree feature is not required it can be disabled in `vernemq.conf`

```
systree_enabled = off
```

{% hint style="success" %}
The feature and the interval can be changed at runtime using the `vmq-admin` script.\
Usage: vmq-admin set = ... \[\[--node | -n] | --all]\
Example: `vmq-admin set systree_interval=60000 -n VerneMQ@127.0.0.1`
{% endhint %}

Examples:

```
mosquitto_sub -t '$SYS/<node-name>/#' -u <username> -P <password> -d
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vernemq.com/1.10.3/monitoring/systree.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
